{% extends "template.html" %}

{% block body %}
<style>
   .container{
    display: inline-grid;
    row-gap:50 px;
    column-gap: 50px;
    
   }
   .container2{
    background-color: rgb(227, 228, 228);
    margin: 40 px;
    grid-column: 2;
    background-color: rgb(149, 205, 255);
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 14px;
   }
</style>

<h1>Hier können Geräte gesteuert werden</h1>

<div class="container">
    <div class="container2">
        <div class="child">
            <label for="cheese">Voreingestellte Zeit:</label>
            <div class="child1">
                <form action="{{ url_for('oeffnen', sek=5) }}" methode="post">
                <button onclick="window.location.href = '{{ url_for('oeffnen', sek="5") }}' "  type="submit">5 Sekunden oeffnen</button>
                </form>
            </div>    
        </div>



        <div class="child">
            <form actform action="{{ url_for('oeffnen', sek=10) }}" methode="post">
            <button onclick="window.location.href = '{{ url_for('oeffnen', sek="10") }}' "  type="submit">10 Sekunden oeffnen</button>
            </form>
        </div>


 

        <div class="child">
            <form actform action="{{ url_for('oeffnen', sek=15) }}" methode="post">
            <button onclick="window.location.href = '{{ url_for('oeffnen', sek="15") }}' "  type="submit">15 Sekunden oeffnen</button>
            </form>
        </div>


        <div class="child">
            <label for="cheese">Variable Zeit:</label>
            <form actform action="{{ url_for('oeffnen2') }}" methode="post">
            <input type="range" name="slider" step="1" value="2" max="100" oninput="this.nextElementSibling.value = this.value" required>
            <output>2</output>
            <label for="sekunden">  Sekunden</label>
            <button type="submit">Ok</button>
            </form>
        </div>
    </div>
    <div class="container2">    
        <div class="parent">
            <label for="cheese">System-Eingriffe:</label>
            <div class="child1">
            <form action="{{ url_for('beenden') }}" methode="post">
            <button onclick="window.location.href = '{{ url_for('beenden') }}' "  type="submit">Flask beenden</button>
            </form>
            </div>    
        </div>



        <div class="parent">
            <form actform action="{{ url_for('off') }}" methode="post">
            <button onclick="window.location.href = '{{ url_for('off') }}' "  type="submit">Micro-Pc ausschalten</button>
            </form>
        </div>


 

        <div class="parent">
            <form actform action="{{ url_for('reboot') }}" methode="post">
            <button onclick="window.location.href = '{{ url_for('reboot') }}' "  type="submit">Micro-Pc rebooten</button>
            </form>
        </div>
    </div>    
</div>
{% endblock %}